Subject: Re: bug#45197: Saving customizations makes ~/.config/emacs/init (no .el extension)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 15 Dec 2020 18:23:14 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 15 Dec 2020 07:14:58 +0100
> 
> alternate-filename-function is the lambda up there, so it's
> "/tmp/test-home/.config/emacs/init".  So this always sets user-init-file
> to the .el-less file name.  (Well, it would have even if the alternate
> file name had ended in ".el".)
> 
> That makes sense for making a file name for `load' (so that it'll load
> the .elc file, if it exists), but setting `user-init-file' to that
> .el-less name sounds like the problem here?

I'm not arguing against the fact that there's a bug, I'm just saying
that there's code which was supposed to handle this, and I think
that's where this should be fixed.